You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     de...@stasyan.com
Last committer: m...@freebsd.org
Ident:          $FreeBSD: branches/2018Q1/science/veusz/Makefile 455210 
2017-11-30 15:50:30Z mat $
Log URL:        
http://beefy15.nyi.freebsd.org/data/111armv6-quarterly/459901/logs/veusz-1.19.1_2.log
Build URL:      
http://beefy15.nyi.freebsd.org/build.html?mastername=111armv6-quarterly&build=459901
Log:

=>> Building science/veusz
build started at Thu Jan 25 02:35:55 UTC 2018
port directory: /usr/ports/science/veusz
package name: veusz-1.19.1_2
building for: FreeBSD 111armv6-quarterly-job-11 11.1-RELEASE-p6 FreeBSD 
11.1-RELEASE-p6 1101001 arm
maintained by: de...@stasyan.com
Makefile ident:      $FreeBSD: branches/2018Q1/science/veusz/Makefile 455210 
2017-11-30 15:50:30Z mat $
Poudriere version: 3.2.4-3-g97a70595
Host OSVERSION: 1200054
Jail OSVERSION: 1101001
Job Id: 11

---Begin Environment---
POUDRIEREPATH=/usr/local/bin/poudriere
PACKAGE_BUILDING=yes
LOCALBASE=/usr/local
LIBEXECPREFIX=/usr/local/libexec/poudriere
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
POUDRIERE_VERSION=3.2.4-3-g97a70595
P_PYTHON_MAJOR_VER=2
HOME=/root
USER=root
SCRIPTPREFIX=/usr/local/share/poudriere
MASTERNAME=111armv6-quarterly
PWD=/usr/local/poudriere/data/.m/111armv6-quarterly/ref/.p/pool
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
OLDPWD=/usr/local/poudriere/data/.m/111armv6-quarterly/ref/.p
POUDRIERE_BUILD_TYPE=bulk
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
QEMU_EMULATING=1
MASTERMNT=/usr/local/poudriere/data/.m/111armv6-quarterly/ref
SAVED_TERM=
STATUS=1
MAIL=/var/mail/root
BLOCKSIZE=K
UNAME_r=11.1-RELEASE-p6
UNAME_v=FreeBSD 11.1-RELEASE-p6 1101001
OSVERSION=1101001
ABI_FILE=/usr/lib/crt1.o
UNAME_m=arm
UNAME_p=armv6
SHELL=/bin/csh
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=py27
DEPENDS_ARGS=
MAKE_ARGS= FLAVOR=py27
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
---End OPTIONS List---

--MAINTAINER--
de...@stasyan.com
--End MAINTAINER--

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
PYTHON="/usr/local/bin/python2.7" 
XDG_DATA_HOME=/wrkdirs/usr/ports/science/veusz/work-py27  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/science/veusz/work-py27  
HOME=/wrkdirs/usr/ports/science/veusz/work-py27 TMPDIR="/tmp" 
PATH=/wrkdirs/usr/ports/science/veusz/work-py27/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
 SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/science/veusz/work-py27  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/science/veusz/work-py27  
HOME=/wrkdirs/usr/ports/science/veusz/work-py27 TMPDIR="/tmp" 
PATH=/wrkdirs/usr/ports/science/veusz/work-py27/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
 NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES 
LDSHARED="/nxb-bin/usr/bin/cc -shared" PYTHONDONTWRITEBYTECODE= PYTHONOPTIMIZE= 
PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  
CC="/nxb-bin/usr/bin/cc" CFLAGS="-O2 -pipe  -fno-strict-aliasing"  
CPP="/nxb-bin/usr/bin/cpp" CPPFLAGS=""  LDFLAGS="" LIBS=""  
CXX="/nxb-bin/usr/bin/c++" CXXFLAGS="-O2 -pipe -fno-strict-aliasing "  
MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  
BSD_INSTALL_LIB="install  -s -m 0644"  BSD_INSTALL_SCRIPT="install  -m 555"  
BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
PYQT_SIPDIR=share/py-sip/PyQt4 PYTHON_INCLUDEDIR=include/python2.7  
PYTHON_LIBDIR=lib/python2.7  PYTHON_PLATFORM=freebsd11  PYTHON_PYOEXTENSION=pyo 
 PYTHON_SITELIBDIR=lib/python2.7/site-packages  PYTHON_SUFFIX=27  
PYTHON_VER=2.7  PYTHON_VERSION=python2.7 PYTHON2="" PYTHON3="@comment " 
OSREL=11.1 PREFIX=%D LOCALBASE=/usr/local  RESETPREFIX=/usr/local PORTDOCS="" 
PORTEXAMPLES="" LIB32DIR=lib DOCSDIR="share/doc/veusz"  
EXAMPLESDIR="share/examples/veusz"  DATADIR="share/veusz"  WWWDIR="www/veusz"  
ETCDIR="etc/veusz"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local LOCALBASE=/usr/local  DATADIR=/usr/local/share/veusz 
DOCSDIR=/usr/local/share/doc/veusz EXAMPLESDIR=/usr/local/share/examples/veusz  
WWWDIR=/usr/local/www/veusz ETCDIR=/usr/local/etc/veusz
--End SUB_LIST--

---Begin make.conf---
.sinclude "/etc/make.nxb.conf"
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
MACHINE=arm
MACHINE_ARCH=armv6
ARCH=${MACHINE_ARCH}
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
# Build ALLOW_MAKE_JOBS_PACKAGES with 2 jobs
MAKE_JOBS_NUMBER=2
#### /usr/ports/Mk/Scripts/ports_env.sh ####
ARCH=armv6
CONFIGURE_MAX_CMD_LEN=262144
OPSYS=FreeBSD
OSREL=11.1
OSVERSION=1101001
PYTHONBASE=/usr/local
UID=0
_OSRELEASE=11.1-RELEASE-p6
#### Misc Poudriere ####
GID=0
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
---Begin make.nxb.conf---
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
---End make.nxb.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  33554432
stack size              (kbytes, -s)  524288
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
socket buffer size       (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
kqueues                         (-k)  unlimited
umtx shared locks               (-o)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>  License GPLv2 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   veusz-1.19.1_2 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.10.3_1.txz
[111armv6-quarterly-job-11] Installing pkg-1.10.3_1...
[111armv6-quarterly-job-11] Extracting pkg-1.10.3_1: .......... done
===>   veusz-1.19.1_2 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of veusz-1.19.1_2
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by veusz-1.19.1_2 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by veusz-1.19.1_2 for building
=> SHA256 Checksum OK for veusz-1.19.1.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by veusz-1.19.1_2 for building
===>  Extracting for veusz-1.19.1_2
=> SHA256 Checksum OK for veusz-1.19.1.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for veusz-1.19.1_2
===>  Applying FreeBSD patches for veusz-1.19.1_2
===========================================================================
=======================<phase: build-depends  >============================
===>   veusz-1.19.1_2 depends on package: py27-numpy>0 - not found
===>   Installing existing package /packages/All/py27-numpy-1.13.3,1.txz
[111armv6-quarterly-job-11] Installing py27-numpy-1.13.3,1...
[111armv6-quarterly-job-11] `-- Installing blas-3.5.0_3...
[111armv6-quarterly-job-11] |   `-- Installing gcc6-6.4.0_3...
[111armv6-quarterly-job-11] |   | `-- Installing binutils-2.28,1...
[111armv6-quarterly-job-11] |   |   `-- Installing gettext-runtime-0.19.8.1_1...
[111armv6-quarterly-job-11] |   |   | `-- Installing indexinfo-0.3.1...
[111armv6-quarterly-job-11] |   |   | `-- Extracting indexinfo-0.3.1: .... done
[111armv6-quarterly-job-11] |   |   `-- Extracting gettext-runtime-0.19.8.1_1: 
.......... done
[111armv6-quarterly-job-11] |   | `-- Extracting binutils-2.28,1: .......... 
done
[111armv6-quarterly-job-11] |   | `-- Installing gmp-6.1.2...
[111armv6-quarterly-job-11] |   | `-- Extracting gmp-6.1.2: .......... done
[111armv6-quarterly-job-11] |   | `-- Installing mpc-1.0.3...
<snip>
[111armv6-quarterly-job-11] |   |   |   | `-- Installing 
qt4-xmlpatterns-4.8.7_2...
[111armv6-quarterly-job-11] |   |   |   | `-- Extracting 
qt4-xmlpatterns-4.8.7_2: .......... done
[111armv6-quarterly-job-11] |   |   |   `-- Extracting qt4-declarative-4.8.7_1: 
.......... done
[111armv6-quarterly-job-11] |   |   | `-- Extracting qt4-webkit-4.8.7_2: 
.......... done
[111armv6-quarterly-job-11] |   |   `-- Extracting qt4-assistant-4.8.7_1: 
...... done
[111armv6-quarterly-job-11] |   |   `-- Installing qt4-qt3support-4.8.7_2...
[111armv6-quarterly-job-11] |   |   `-- Extracting qt4-qt3support-4.8.7_2: 
.......... done
[111armv6-quarterly-job-11] |   | `-- Extracting qt4-designer-4.8.7_1: 
.......... done
[111armv6-quarterly-job-11] |   `-- Extracting qscintilla2-2.9.1,1: .......... 
done
[111armv6-quarterly-job-11] `-- Extracting py27-qt4-core-4.12_2,1: .......... 
done
[111armv6-quarterly-job-11] `-- Installing qt4-iconengines-4.8.7_2...
[111armv6-quarterly-job-11] `-- Extracting qt4-iconengines-4.8.7_2: .... done
[111armv6-quarterly-job-11] `-- Installing qt4-imageformats-4.8.7_2...
[111armv6-quarterly-job-11] |   `-- Installing jpeg-turbo-1.5.3...
[111armv6-quarterly-job-11] |   `-- Extracting jpeg-turbo-1.5.3: .......... done
[111armv6-quarterly-job-11] |   `-- Installing libmng-1.0.10_3...
[111armv6-quarterly-job-11] |   | `-- Installing lcms-1.19_6,1...
[111armv6-quarterly-job-11] |   |   `-- Installing tiff-4.0.9...
[111armv6-quarterly-job-11] |   |   | `-- Installing jbigkit-2.1_1...
[111armv6-quarterly-job-11] |   |   | `-- Extracting jbigkit-2.1_1: .......... 
done
[111armv6-quarterly-job-11] |   |   `-- Extracting tiff-4.0.9: .......... done
[111armv6-quarterly-job-11] |   | `-- Extracting lcms-1.19_6,1: .......... done
[111armv6-quarterly-job-11] |   `-- Extracting libmng-1.0.10_3: ......... done
[111armv6-quarterly-job-11] `-- Extracting qt4-imageformats-4.8.7_2: .......... 
done
[111armv6-quarterly-job-11] `-- Installing qt4-inputmethods-4.8.7_2...
[111armv6-quarterly-job-11] `-- Extracting qt4-inputmethods-4.8.7_2: .... done
[111armv6-quarterly-job-11] Extracting py27-qt4-gui-4.12,1: .......... done
Message from perl5-5.24.3:

The /usr/bin/perl symlink has been removed starting with Perl 5.20.
For shebangs, you should either use:

#!/usr/local/bin/perl

or

#!/usr/bin/env perl

The first one will only work if you have a /usr/local/bin/perl,
the second will work as long as perl is in PATH.
Message from qtchooser-39:

qtchooser is a wrapper that allows selecting whether Qt4 or Qt5 binaries for
qmake, moc and other tools will be run when invoking the binaries in $PATH.

By default, the Qt5 versions are run. It is possible to change the behavior by
setting the QT_SELECT environment variable to "qt4". See qtchooser(1) for more
information.
Message from qt4-corelib-4.8.7_10:

======================================================================

Qt 4 can be built with optional support for:
 - Common UNIX Printing System (CUPS) (enabled by default)
 - Network Audio System (NAS)
 - Qt style that renders using GTK (QGTKSTYLE)

In order to enable them, you have to add
        QT4_OPTIONS=    CUPS NAS QGTKSTYLE
to your /etc/make.conf and compile devel/qt4-corelib and
x11-toolkits/qt4-gui ports.

Attention! Whenever you change the QT4_OPTIONS both
devel/qt4-corelib and x11-toolkits/qt4-gui ports must be rebuilt!

======================================================================
Message from ca_root_nss-3.34.1:

********************************* WARNING *********************************

FreeBSD does not, and can not warrant that the certification authorities
whose certificates are included in this package have in any way been
audited for trustworthiness or RFC 3647 compliance.

Assessment and verification of trust is the complete responsibility of the
system administrator.

*********************************** NOTE **********************************

This package installs symlinks to support root certificates discovery by
default for software that uses OpenSSL.

This enables SSL Certificate Verification by client software without manual
intervention.

If you prefer to do this manually, replace the following symlinks with
either an empty file or your site-local certificate bundle.

  * /etc/ssl/cert.pem
  * /usr/local/etc/ssl/cert.pem
  * /usr/local/openssl/cert.pem

***************************************************************************
Message from trousers-0.3.14_2:

To run tcsd automatically, add the following line to /etc/rc.conf:

tcsd_enable="YES"

You might want to edit /usr/local/etc/tcsd.conf to reflect your setup.

If you want to use tcsd with software TPM emulator, use the following
configuration in /etc/rc.conf:

tcsd_enable="YES"
tcsd_mode="emulator"
tpmd_enable="YES"

To use TPM, add your_account to '_tss' group like following:

# pw groupmod _tss -m your_account
Message from freetype2-2.8_1:

The 2.7.x series now uses the new subpixel hinting mode (V40 port's option) as
the default, emulating a modern version of ClearType. This change inevitably
leads to different rendering results, and you might change port's options to
adapt it to your taste (or use the new "FREETYPE_PROPERTIES" environment
variable).

The environment variable "FREETYPE_PROPERTIES" can be used to control the
driver properties. Example:

FREETYPE_PROPERTIES=truetype:interpreter-version=35 \
        cff:no-stem-darkening=1 \
        autofitter:warping=1

This allows to select, say, the subpixel hinting mode at runtime for a given
application.

The controllable properties are listed in the section "Controlling FreeType
Modules" in the reference's table of contents
(/usr/local/share/doc/freetype2/reference/ft2-toc.html, if documentation was 
installed).
Message from dejavu-2.37:

Make sure that the freetype module is loaded.  If it is not, add the following
line to the "Modules" section of your X Windows configuration file:

        Load "freetype"

Add the following line to the "Files" section of X Windows configuration file:

        FontPath "/usr/local/share/fonts/dejavu/"

Note: your X Windows configuration file is typically /etc/X11/XF86Config
if you are using XFree86, and /etc/X11/xorg.conf if you are using X.Org.
Message from qt4-sql-4.8.7_2:

======================================================================

To enable Qt database support, install the database plugin ports. The
following plugin ports are available:
 - databases/qt4-ibase-plugin           InterBase/Firebird
 - databases/qt4-mysql-plugin           MySQL
 - databases/qt4-odbc-plugin            Open Database Connectivity
 - databases/qt4-pgsql-plugin           PostgreSQL
 - databases/qt4-sqlite-plugin          SQLite 2
 - databases/qt4-sqlite3-plugin         SQLite 3

======================================================================
===>   veusz-1.19.1_2 depends on package: py27-qt4-gui>=4.12 - found
===>   Returning to build of veusz-1.19.1_2
===>   veusz-1.19.1_2 depends on package: py27-qt4-svg>=4.12 - not found
===>   Installing existing package /packages/All/py27-qt4-svg-4.12,1.txz
[111armv6-quarterly-job-11] Installing py27-qt4-svg-4.12,1...
[111armv6-quarterly-job-11] Extracting py27-qt4-svg-4.12,1: .......... done
===>   veusz-1.19.1_2 depends on package: py27-qt4-svg>=4.12 - found
===>   Returning to build of veusz-1.19.1_2
===>   veusz-1.19.1_2 depends on package: py27-setuptools>0 - found
===>   veusz-1.19.1_2 depends on file: /usr/local/bin/python2.7 - found
===========================================================================
=======================<phase: lib-depends    >============================
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for veusz-1.19.1_2
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "setup.py", line 30, in <module>
    import numpy
  File "/usr/local/lib/python2.7/site-packages/numpy/__init__.py", line 142, in 
<module>
    from . import add_newdocs
  File "/usr/local/lib/python2.7/site-packages/numpy/add_newdocs.py", line 13, 
in <module>
    from numpy.lib import add_newdoc
  File "/usr/local/lib/python2.7/site-packages/numpy/lib/__init__.py", line 8, 
in <module>
    from .type_check import *
  File "/usr/local/lib/python2.7/site-packages/numpy/lib/type_check.py", line 
11, in <module>
    import numpy.core.numeric as _nx
  File "/usr/local/lib/python2.7/site-packages/numpy/core/__init__.py", line 
26, in <module>
    raise ImportError(msg)
ImportError: 
Importing the multiarray numpy extension module failed.  Most
likely you are trying to import a failed build of numpy.
If you're working with a numpy git repo, try `git clean -xdf` (removes all
files not under version control).  Otherwise reinstall numpy.

Original error was: /usr/local/lib/libblas.so.2: Undefined symbol 
"__aeabi_uidiv"

*** Error code 1

Stop.
make: stopped in /usr/ports/science/veusz
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to